> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/v1/on-premise-docker/decisionrules-application/client-app.md).

# DecisionRules Client

{% hint style="success" %}
Production Container
{% endhint %}

Download the latest DecisionRules client container that provides front-end applications with maintenance and regular updates.

## Container types

{% hint style="info" %}
Since version 1.15.0 it is possible to choose whether the container will run with root user or non-root user.
{% endhint %}

* **Standard** (root user) container listen default on **port 80.**
* **Rootless** (non-root user) container are tagged with the suffix -rootless. Container listen default on **port 4000.**

## How to start the DecisionRules Client

The server can only be started with the set env. variables that are necessary for operation.

### Method 1: Pulling and running the Docker container in the terminal

The client can be started using the simple docker run command. If you don't have the container downloaded yet, you can pull it using the docker pull command.

```
//pull container
docker pull decisionrules/client
//run container alone
docker run -d -p 80:80 -e API_URL=YOUR_API_URL decisionrules/client
```

### Method 2: Creating your own docker-compose file

If you don't want to use too much terminal you can create your own docker-compose file. The file type is YAML.

```yaml
version: "1.0"

services:
    server:
        image: decisionrules/client
        environment:
            - "API_URL=YOUR_API_URL"
        ports:
            - "80:80"
```

{% hint style="info" %}
Docker compose files are started with docker compose up command.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decisionrules.io/doc/v1/on-premise-docker/decisionrules-application/client-app.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
